import { Component, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { PoComponentInjectorService } from '@portinari/portinari-ui';
import { CommonModule } from '@angular/common';
import { MessageComponent } from '../services/message/message.component';
import { PoModule } from '@portinari/portinari-ui';
/*
Dicas para usar o component injector do Po:
import { async, TestBed, inject } from '@angular/core/testing';
beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [TestModule],
      providers: [PoComponentInjectorService]
    }).compileComponents();
  }));
*/
@Component({
  template: `<div class="test-component-class">test component</div>`
})
export class TestComponent {
  constructor(private poComponentInjectorService: PoComponentInjectorService) {
    this.testMethod();
  }
  private testMethod() {
    return this.poComponentInjectorService === undefined;
  }
}

@NgModule({
  imports: [CommonModule, PoModule],
  declarations: [TestComponent, MessageComponent],
  entryComponents: [TestComponent, MessageComponent],
  providers: [
    PoComponentInjectorService
  ],
  exports: [CommonModule, PoModule],
  schemas: [NO_ERRORS_SCHEMA]
})
export class TestInjectorModule { }
